## ros-humble-hls-lfcd-lds-driver 2.0.4

=== debian/changelog ===
ros-humble-hls-lfcd-lds-driver (2.0.4-3jammy) jammy; urgency=high

  * fix linker error
  * Contributors: goekce, Will Son

 -- Will Son <willson@robotis.com>  Thu, 15 Jul 2021 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (2.0.2-3jammy) jammy; urgency=high

  * fix laserscan data bug
  * rename nav2 params
  * fox bug, deprecated param name
  * use static param type for Galactic
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Thu, 15 Apr 2021 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (2.0.1-3jammy) jammy; urgency=high

  * ROS 2 Eloquent Elusor supported
  * ROS 2 Foxy Fitzroy supported
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Mon, 13 Jul 2020 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (2.0.0-3jammy) jammy; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Added parameter for initilization and modified qos
  * Reduced scope to boost-system dependency
  * Fixed build warnings in ROS2 Dashing
  * Contributors: Emerson Knapp, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Tue, 20 Aug 2019 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (1.1.0-3jammy) jammy; urgency=high

  * Added lpthread library in Makefile
  * Added CI for ROS Melodic
  * Modified hlds_laser_segment_publisher
  * Contributors: Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Wed, 23 Jan 2019 08:00:00 -0000

ros-humble-hls-lfcd-lds-driver (1.0.0-3jammy) jammy; urgency=high

  * Modified max-range to avoid fencepost error.
  * Merged pull request #27 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/27> from skasperski/master
    Corrected max-range to avoid fencepost error.
  * Merged pull request #29 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/29> #28 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/28> #24 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/24>
  * Contributors: Gilbert, Sebastian Kasperski, Pyo

 -- Will Son <willson@robotis.com>  Tue, 29 May 2018 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (0.1.5-3jammy) jammy; urgency=high

  * Added non-ROS applications for LDS (linux, windows, mac)
  * Added a link for e-Manual
  * Added .travis.yml for Travis CI
  * Modified for firmware upgrade
  * Refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (0.1.4-3jammy) jammy; urgency=high

  * Modified to stop motor of LDS
  * Deleted unused lfcdstartstop arg of LFCDLaser. Fix an exception error.
  * Merged pull request #8 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/8> from hara-y/stop_motor_in_dtor
  * Fixed code format
  * Contributors: Yoonseok Pyo, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Thu, 14 Sep 2017 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (0.1.3-3jammy) jammy; urgency=high

  * Fixed a bug of beam index [0, 0, 1, ..., 358] > [0, 1, 2, ..., 359]
  * Merged pull request #7 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/pull/7> from hara-y
  * Contributors: Darby Lim, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Fri, 18 Aug 2017 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (0.1.2-3jammy) jammy; urgency=high

  * Modified the timing to take a timestamp for sync the scan and odom
  * Added a hlds_laser_segment_publisher node
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Mon, 24 Apr 2017 07:00:00 -0000

ros-humble-hls-lfcd-lds-driver (0.1.1-3jammy) jammy; urgency=high

  * Modified the package name and related codes
  * Added a ROS package for HLDS Laser Distance Sensor
  * Contributors: JH Yang, SP Kong, Pyo

 -- Will Son <willson@robotis.com>  Tue, 06 Dec 2016 08:00:00 -0000
